Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026541
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 05. Production managementmajoralways2014-05-13 15:572014-06-10 22:24
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf371e1261fd9
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Torafaroda
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026541: Quantities of produced and used products in a Work effort should not be negative

DescriptionQuantities of produced and used products in a Work effort should not be negative
Steps To ReproduceAs group admin role:
   Create an Activity
   Create a Process Plan, a Version and a Operation
   Select the Create Standards checkbox and the previous created Activity
   Add a produced and a consumed product with Quantity < 0
   Create a Work Requirement for the previous created Process Plan and process it
   Create the Work Effort and process it
   Check an entry is created in the Product - Transactions tab for both products (an input for the used product and an output for the produced one)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00235413.0MP24 closedSandrahuguet In BOM Production part products could be produced 
related to defect 00244733.0MP27 closedpramakrishnan In BOM Production part products could be produced and it shouldn't 
related to defect 00251753.0MP30 closedpramakrishnan BOM Production movement quantities could not be edited 

-  Notes
(0067796)
hgbot (developer)
2014-06-06 07:10

Repository: erp/devel/pi
Changeset: f371e1261fd9834c76ad536d0ddc28323d00abe3
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jun 03 19:54:57 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/f371e1261fd9834c76ad536d0ddc28323d00abe3 [^]

Fixes Issue 26541:Qty of P+ & P- products in Work effort should not be negative

---
M src-db/database/model/functions/MA_WORKEFFORT_VALIDATE.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
---
(0067799)
rafaroda (developer)
2014-06-06 08:57

Tested with steps to reproduce and now when trying to validate a work effort with negative P+ or P- quantities, error message displays OK https://drive.google.com/folderview?id=0B649lz4ZYJcHNWY0bjVXMm9XNWc&usp=sharing [^]
(0067886)
hudsonbot (developer)
2014-06-10 22:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/763f16c2ad2e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-05-13 15:57 ngarcia New Issue
2014-05-13 15:57 ngarcia Assigned To => jonalegriaesarte
2014-05-13 15:57 ngarcia Modules => Core
2014-05-13 15:57 ngarcia Triggers an Emergency Pack => No
2014-05-13 17:40 ngarcia Relationship added related to 0023541
2014-05-13 17:40 ngarcia Relationship added related to 0024473
2014-05-13 17:42 ngarcia Relationship added related to 0025175
2014-05-19 14:33 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2014-05-27 14:55 rafaroda Assigned To pramakrishnan => rafaroda
2014-05-27 14:55 rafaroda Status new => scheduled
2014-05-30 10:07 rafaroda Assigned To rafaroda => AtulOpenbravo
2014-06-06 07:10 hgbot Checkin
2014-06-06 07:10 hgbot Note Added: 0067796
2014-06-06 07:10 hgbot Status scheduled => resolved
2014-06-06 07:10 hgbot Resolution open => fixed
2014-06-06 07:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f371e1261fd9834c76ad536d0ddc28323d00abe3 [^]
2014-06-06 08:57 rafaroda Review Assigned To => rafaroda
2014-06-06 08:57 rafaroda Note Added: 0067799
2014-06-06 08:57 rafaroda Status resolved => closed
2014-06-10 22:24 hudsonbot Checkin
2014-06-10 22:24 hudsonbot Note Added: 0067886


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker